syntax = "proto3";

package pagerino.role;
option go_package = "server/app_comm/api/role;api_role";

import "common.proto";


message RoleBasicInfo {
  string name = 1;
  string description = 2;
}


service RoleService {
  // === DB information
  rpc GetInfo(common.StrIndex) returns (RoleBasicInfo);
  
  // References
  rpc GetPermissionIds(common.StrIndex) returns (common.References);
  rpc GetUserIds(common.StrIndex) returns (common.References);

  // Common
  rpc GetMeta(common.StrIndex) returns (common.Meta);
}
